﻿
@model ViewEditUserModel

@{
    Layout = "_Layout";
}

@*@Html.Action("ChinInfo")*@



<div asp-validation-summary="All" class="text-danger"></div>
<form asp-controller="Home" asp-action="EditUser" method="post">

    <input asp-for="@Model.Chin.Kod" type="hidden" value="@Model.User.UserId" />
    <input type="hidden" name="returnUrl" value="@ViewBag.returnUrl" />
    <div class="form-row">
        <div class="form-group col-md-4">
            <label for="Fam" class="control-label">Фамилия</label>
            <input asp-for="@Model.Chin.Fam" type="text" class="form-control" id="Fam" placeholder="Введите вашу фамилию">
            <div>
                <span asp-validation-for="@Model.Chin.Fam" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group col-md-4 ">
            <label asp-for="@Model.Chin.Im" for="Im">Имя</label>
            <input asp-for="@Model.Chin.Im" type="text" class="form-control" id="Im" placeholder="Введите ваше имя">
            <div>
                <span asp-validation-for="@Model.Chin.Im" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group col-md-4">
            <label for="Otch" class="control-label">Отчество</label>
            <input type="text" class="form-control" id="Otch" placeholder="Введите ваше отчество" asp-for="@Model.Chin.Otch">
            <div>
                <span asp-validation-for="@Model.Chin.Otch" class="text-danger"></span>
            </div>
        </div>
    </div>
    <div class="form-row">
        <div class="form-group col-md-3">
            <label for="Pomesh" class="control-label">№Кабинета</label>
            <input type="text" class="form-control classOnlyNumber" id="Pomesh" placeholder="Введите номер кабинета" asp-for="@Model.Chin.Pomesh">
            <div>
                <span asp-validation-for="@Model.Chin.Pomesh" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group col-md-3">
            <label for="PriemDay">Приемные дни</label>
            <input class="form-control your_class" id="PriemDay" placeholder="Введите приемные дни" asp-for="@Model.Chin.PriemDay">
            <div>
                <span asp-validation-for="@Model.Chin.PriemDay" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group col-md-3">
            <label for="Telef">Номер телефона</label>
            <input type="text" class="form-control" id="Telef" placeholder="Введите номер телефона" asp-for="@Model.Chin.Telef">
            <div>
                <span asp-validation-for="@Model.Chin.Telef" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group col-md-3">
            <label for="Dolgn">Должность</label>
            <input type="text" class="form-control" id="Dolgn" placeholder="Введите вашу должность" asp-for="@Model.Chin.Dolgn">
            <div>
                <span asp-validation-for="@Model.Chin.Dolgn" class="text-danger"></span>
            </div>
        </div>
    </div>

    <input asp-for="@Model.User.UserId" type="hidden" value="@Model.User.UserId" />
  
    <div class="form-row align-items-center">
        <div class="form-group col-md-4">
            <label for="Login">Логин</label>
            <input type="text" class="form-control" id="Login" placeholder="Введите учетную запись" asp-for="@Model.User.Login">
            <div>
                <span asp-validation-for="@Model.User.Login" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group col-md-4">
            <label for="Password">Пароль</label>
            <input type="password" class="form-control" id="Password" placeholder="Введите пароль" asp-for="User.Password" value="@Model.User.Password">
            <div>
                <span asp-validation-for="@Model.User.Password" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-4">
            <div class="custom-control custom-switch">
                <input type="checkbox" class="custom-control-input" id="StatusUser"
                       asp-for="@Model.User.StatusUser" />

                <label class="custom-control-label" for="StatusUser">Заблокированный пользователь</label>
            </div>
        </div>
    </div>


    <div class="form-row">

        <table class="table table-sm table-hover table-bordered col-md-5">
            <caption>Роли пользователей</caption>
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Роли</th>
                </tr>
            </thead>
            <tbody>
                @for (int i = 0; i < Model.UserRolesModel.Count(); i++)
                {
                    

                    <tr>
                        <th scope="row"> @(@i + 1) </th>
                        <td>
                            <input asp-for="UserRolesModel[i].N" type="hidden" value="@Model.UserRolesModel[i].N" />
                            <input asp-for="UserRolesModel[i].Users" type="hidden" value="@Model.UserRolesModel[i].Users" />
                            <input asp-for="UserRolesModel[i].Role" type="hidden" value="@Model.UserRolesModel[i].Role" />
                            <input asp-for="UserRolesModel[i].RoleName" type="hidden" value="@Model.UserRolesModel[i].RoleName" />
                            <div class="custom-control custom-switch">
                                <input class="custom-control-input" type="checkbox" id=@($"RoleNavigationId{i}")
                                       asp-for="@Model.UserRolesModel[i].Access" />
                                <label class="custom-control-label" for=@($"RoleNavigationId{i}")>
                                    @Model.UserRolesModel[i].RoleName
                                </label>
                            </div>

                        </td>
                    </tr>
                }

            </tbody>
        </table>

        <table class="table table-sm table-hover table-bordered col-md-2">
        </table>

        <table class="table table-sm table-hover table-bordered col-md-5">
            <caption>Доступ в район</caption>
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Название района</th>
                    <th scope="col">Доступ в район</th>
                </tr>
            </thead>
            <tbody>
                @for (Int32 i = 0; i < this.Model.AccessUserToDistricts.Count(); i++)
                {
                    <input asp-for="AccessUserToDistricts[i].Id" type="hidden" value="@Model.AccessUserToDistricts[i].Id" />
                    <input asp-for="AccessUserToDistricts[i].UserId" type="hidden" value="@Model.AccessUserToDistricts[i].UserId" />
                    <input asp-for="AccessUserToDistricts[i].DistrictId" type="hidden" value="@Model.AccessUserToDistricts[i].DistrictId" />
                    <input asp-for="AccessUserToDistricts[i].DistrictName" type="hidden" value="@Model.AccessUserToDistricts[i].DistrictName" />
                    <tr>
                        <th scope="row"> @(@i + 1) </th>
                        <td>@Model.AccessUserToDistricts[i].DistrictName</td>
                        <td>
                            <div class="custom-control custom-switch">
                                <input class="custom-control-input" asp-for="@Model.AccessUserToDistricts[i].AccessDistrict"
                                       type="checkbox" id=@($"AccessDistricts{i}") />
                                <label class="custom-control-label" for=@($"AccessDistricts{i}")>Доступ в район</label>
                            </div>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
    <div class="text-center">
        <button type="submit" class="btn btn-primary" asp-controller="Home" asp-action="EditUser">
            Сохранить
        </button>
    </div>
</form>


